﻿using System.ComponentModel;

using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 커스텀 에디터
    /// </summary>
    [ToolboxItem(true)]
    public class CustomEdit : TextEdit
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 에디터 타입명 - EditorTypeName

        /// <summary>
        /// 에디터 타입명
        /// </summary>
        public override string EditorTypeName
        {
            get
            {
                return RepositoryItemCustomEdit.CustomEditName;
            }
        }

        #endregion
        #region 프로퍼티 - Properties

        /// <summary>
        /// 프로퍼티
        /// </summary>
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
        public new RepositoryItemCustomEdit Properties
        {
            get
            {
                return base.Properties as RepositoryItemCustomEdit;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Static

        #region 생성자 - CustomEdit()

        /// <summary>
        /// 생성자
        /// </summary>
        static CustomEdit()
        {
            RepositoryItemCustomEdit.RegisterCustomEdit();
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////////////////////// Instance
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - CustomEdit()

        /// <summary>
        /// 생성자
        /// </summary>
        public CustomEdit()
        {
        }

        #endregion
    }
}